extern int hconvresolution, vconvresolution;
extern int hconv, vconv;
extern int ps_h, ps_v;
extern int *ps_move;

char *psfname();

struct psbiops {
    int po_size;
    /*char *po_op;*/
    char *po_dev_name;
    struct bifont *po_bf;
    /*BOOLEAN po_extraarg;*/
    int po_stand;
    char po_stlen;
    char po_mode_font;
};

#define	PSFLEN	512	/* line length of PS file (%*Font:) */
#define	WFLEN	4096	/* line length of Wadalab-font file */

#define	SEARCH_FAIL	0
#define	SEARCH_ORIG	1
#define	SEARCH_NEW	2

/* pack dict
 */
#define	NPACKPSCHARS	256
#define	LASTPACKPSCHAR	037
#define	FIRSTPACKPSCHAR	040

#define	CORRNORM	1000

struct pdlist {
    int pl_corr;
    /* int pl_id; *//* may be used for finer classification */
    short pl_font, pl_char;
    struct pdlist *pl_next;
};

struct pdlist *getpdlist();

struct pd {
    int pd_font, pd_char;
};

#define	initpd(pd)	(pd.pd_char = LASTPACKPSCHAR)
#define	firstpd(pd)	(pd.pd_char == FIRSTPACKPSCHAR)
#define	lastpd(pd)	(pd.pd_char == LASTPACKPSCHAR)

/* psbi.c */
char *get_repname();

/* pstype1.c */
void copy_type1_pfa();
void copy_type1_pfb();

/* pst1form.c */
char *stdex_type1_charname();
char *chn_type1_charname();

/* psio.c */
void ps_add_setup();
void ps_copyfigfile();
void ps_createpipe();
void ps_string();
